%global gitrev      3a2bac
%global eclipse_base        %{_libdir}/eclipse

Name:           eclipse-vrapper
Version:        0.16.0
Release:        0.1.git%{gitrev}%{?dist}
Summary:        Vim-like editing in Eclipse

Group:          Development/Tools
License:        GPLv3+
URL:            http://vrapper.sourceforge.net
Source0:        vrapper-%{version}-r%{gitrev}.tar.bz2
# Source gathered via:
# git clone git://vrapper.git.sourceforge.net/gitroot/vrapper/vrapper vrapper-0.16.0
# cd vrapper; git checkout 3a2bac; cd ../
# tar cjvpf vrapper-0.16.0-r3a2bac.tar.bz2 vrapper-0.16.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  java-devel >= 1.5.0
BuildRequires:  eclipse-pde
Requires:       eclipse-platform

%description
Vrapper is an eclipse plugin which acts as a wrapper for eclipse text editors
to provide a Vim-like input scheme for moving around and editing text.

%prep
%setup -q -n vrapper-%{version}

%build
%{eclipse_base}/buildscripts/pdebuild -f net.sourceforge.vrapper
%{eclipse_base}/buildscripts/pdebuild -f net.sourceforge.vrapper.plugin.surround

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/eclipse/dropins/vrapper
unzip -q -d $RPM_BUILD_ROOT%{_datadir}/eclipse/dropins/vrapper \
build/rpmBuild/net.sourceforge.vrapper.zip
unzip -q -d $RPM_BUILD_ROOT%{_datadir}/eclipse/dropins/vrapper \
build/rpmBuild/net.sourceforge.vrapper.plugin.surround.zip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/eclipse/dropins/vrapper

%changelog
* Mon Jul 11 2011 Jesse Keating <jkeating@redhat.com> - 0.16.0-0.1.git3a2bac
- Update for 0.16.0
- Switch to source fetching via git

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.3.svn351
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 06 2010 Jesse Keating <jkeating@redhat.com> - 0.15.0-0.2.svn351
- Build the surround plugin too

* Fri Dec 03 2010 Jesse Keating <jkeating@redhat.com> - 0.15.0-0.1.svn351
- Build from trunk, which is 0.15.0 pre-release/snapshot

* Fri Dec 03 2010 Jesse Keating <jkeating@redhat.com> - 0.14.0-2
- Build from the 0.14 branch

* Fri Dec 03 2010 Jesse Keating <jkeating@redhat.com> - 0.14.0-1
- Initial package


